Wind River Support Network

HomeDefectsLIN5-21873
Fixed

LIN5-21873 : Security Advisory - linux - CVE-2016-6187

Created: Aug 14, 2016    Updated: May 29, 2018
Resolved Date: Aug 18, 2016
Found In Version: 5.0.1.36
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

The apparmor_setprocattr function in security/apparmor/lsm.c in the Linux kernel before 4.6.5 does not validate the buffer size, which allows local users to gain privileges by triggering an AppArmor setprocattr hook.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-6187

Other Downloads


Live chat
Online